<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("../Conections/$VpnEn.php");
include ("../Funcion_Numerico.php");

$Cve_Modulo = "CMOD201506100215";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];


	/////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=../LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=../LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=../SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=../LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
			
			/////Vigencia de Documento
			$VigenciaFecha = strtotime ( '+2 day' , strtotime ( $Fecha ) ) ;
			$VigenciaFecha = date ( 'Y/m/d' , $VigenciaFecha );
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<?PHP echo"<link rel='stylesheet' href='../cssBtn/style_Btns.css'>"; ?>
<!-- <script language='javascript' src="popcalendar.js"></script> -->

<!-- Inicia Clases para Calendario -->
<link rel="stylesheet" href="//logsyswms.com/CalendarioWMS/CSS/jquery-ui.css">
<script src="//logsyswms.com/CalendarioWMS/JS/jquery-1.10.2.js"></script>
<script src="//logsyswms.com/CalendarioWMS/JS/jquery-ui.js"></script>

<script type="text/javascript">
jQuery(function($){
	$.datepicker.regional['es'] = {
		closeText: 'Cerrar',
		prevText: '&#x3c;Ant',
		nextText: 'Sig&#x3e;',
		currentText: 'Hoy',
		monthNames: ['Enero','Febrero','Marzo','Abril','Mayo','Junio',
		'Julio','Agosto','Septiembre','Octubre','Noviembre','Diciembre'],
		monthNamesShort: ['Ene','Feb','Mar','Abr','May','Jun',
		'Jul','Ago','Sep','Oct','Nov','Dic'],
		dayNames: ['Domingo','Lunes','Martes','Mi&eacute;rcoles','Jueves','Viernes','S&aacute;bado'],
		dayNamesShort: ['Dom','Lun','Mar','Mi&eacute;','Juv','Vie','S&aacute;b'],
		dayNamesMin: ['Do','Lu','Ma','Mi','Ju','Vi','S&aacute;'],
		weekHeader: 'Sm',
		dateFormat: 'yy/mm/dd',
		firstDay: 1,
		isRTL: false,
		showMonthAfterYear: false,
		yearSuffix: ''};
	$.datepicker.setDefaults($.datepicker.regional['es']);
});    

        $(document).ready(function() {
           $("#datepicker").datepicker();
        });
		
		$(document).ready(function() {
           $("#datepicker2").datepicker();
        });
</script>
<!-- Termina Clases para Calendario -->

<link rel="shortcut icon" href="../../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
body {
	background-image: url(../../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
}

.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: <?PHP echo $FuCu_Form; ?>;
	font-size:<?PHP echo $TaCu_Form; ?>px;
	color:<?PHP echo $BgCu_Form; ?>;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="../LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="../LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->

<!-- Inicia Función Abre POPUP -->
<script languaje="JavaScript">
function otra_ventana(direccion) {
var ruta=direccion;

var caracteristicas="toolbar=0, location=0, directories=0, resizable=0, scrollbars=yes, height=400, width=600, top=120, left=350";
win=window.open(ruta ,"",caracteristicas);
}
</script>
<script type="text/javascript">
function popup(url,ancho,alto) {
var posicion_x; 
var posicion_y; 
posicion_x=(screen.width/2)-(ancho/2); 
posicion_y=(screen.height/2)-(alto/2); 
window.open(url, "mstech.mx", "width="+ancho+",height="+alto+",menubar=0,toolbar=0,directories=0,scrollbars=yes,resizable=no,left="+posicion_x+",top="+posicion_y+"");
}
</script>
<!-- Termina Función Abre POPUP -->
</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()">
<?PHP
///include ("../MenuEstructura.php");
?>

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<Br>

<div align="center">
<?PHP
			
///Arrastrando Variables de Operación
$NoPallEn=$_POST['NoPallKP'] or $NoPallEn=$_GET['NoPallKP'];
$CodSkuEn=$_POST['CodSkuKP'] or $CodSkuEn=$_GET['CodSkuKP'];
$CanAjuEn=$_POST['CanAjuKP'] or $CanAjuEn=$_GET['CanAjuKP'];
$CveCtaEn=$_POST['CveCtaKP'] or $CveCtaEn=$_GET['CveCtaKP'];
$FecRegEn=$_POST['FechKP'] or $FecRegEn=$_GET['FechKP'];
$HorRegEn=$_POST['HoraKP'] or $HorRegEn=$_GET['HoraKP'];
			
			
///Buscar el registro del Ajuste dentro de la tabla_ajustes
$sql_PRI1 = mysql_query("select * from tabla_ajustes where CVE_CUENTA='$CveCtaEn' AND PALLET='$NoPallEn' AND SKU='$CodSkuEn' AND C_AJUSTE='$CanAjuEn' AND FECHA='$FecRegEn' AND HORA='$HorRegEn'");
if (mysql_numrows($sql_PRI1)==0) echo "";
else{
	$registro_PRI1=mysql_fetch_array($sql_PRI1);
}
if (mysql_numrows($sql_PRI1)>0)
{
	$CveBod_PRI1=$registro_PRI1["CVE_BODEGA"];
	$CveCta_PRI1=$registro_PRI1["CVE_CUENTA"];
	$NoPall_PRI1=$registro_PRI1["PALLET"];
	$CodSku_PRI1=$registro_PRI1["SKU"];
	$Descri_PRI1=$registro_PRI1["DESCRIPCION"];
	$CaOrig_PRI1=$registro_PRI1["C_ORIGINAL"];
	$CaAjus_PRI1=$registro_PRI1["C_AJUSTE"];
	$CResul_PRI1=$registro_PRI1["C_RESULTANTE"];
	$Motivo_PRI1=$registro_PRI1["MOTIVO"];
	$Observ_PRI1=$registro_PRI1["OBSERVACIONES"];
	$VNota1_PRI1=$registro_PRI1["NOTA_1"];
	$VNota2_PRI1=$registro_PRI1["NOTA_2"];
	$VFecha_PRI1=$registro_PRI1["FECHA"];
	$VaHora_PRI1=$registro_PRI1["HORA"];
	$Usuari_PRI1=$registro_PRI1["USUARIO"];
}
			
///Buscar el registro de los pesos dentro de la tabla_kardex
$sql_PRI2 = mysql_query("select CANTIDAD_AUXILIAR, CANTIDAD_BRUTO from tabla_kardex where SKU='$CodSku_PRI1' AND PALLET='$NoPall_PRI1' AND FECHA='$VFecha_PRI1' AND PIEZAS='$CaAjus_PRI1' AND MOVIMIENTO Like '%AJUSTE%' AND USUARIO='$Usuari_PRI1'");
if (mysql_numrows($sql_PRI2)==0) echo "";
else{
	$registro_PRI2=mysql_fetch_array($sql_PRI2);
}
if (mysql_numrows($sql_PRI2)>0)
{
	$PeNeto_PRI2=$registro_PRI2["CANTIDAD_AUXILIAR"];
	$PeBrut_PRI2=$registro_PRI2["CANTIDAD_BRUTO"];
}			
			
///Identificar el No Documento de Recibo del Pallet - tabla_inventario
$sql_PRI3 = mysql_query("select NO_DOCUMENTO from tabla_inventario where SKU='$CodSku_PRI1' AND NO_PALLET='$NoPall_PRI1'");
if (mysql_numrows($sql_PRI3)==0) echo "";
else{
	$registro_PRI3=mysql_fetch_array($sql_PRI3);
}
if (mysql_numrows($sql_PRI3)>0)
{
	$DocReci_PRI3=$registro_PRI3["NO_DOCUMENTO"];
}			
			
///(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)///	
///							INICIA PROCESO ESPECIAL ARCOSA - COMUNICACION VIA INTERFAZ
///------------------------------------------------------------------------------------------------------------------
			
	///Configuramos conexión a BD Interfaces
	$con_BDGIA= mysql_connect("localhost","ArcosaTep1","Interf@ces_2018");
	mysql_select_db("wms_interfaces_gia_tep1", $con_BDGIA);
			
	///Identificar el Codigo RD
	$sql_IDES2 = mysql_query("select Codigo_RD from interfaz_conse_rd where No_Documento='$DocReci_PRI3'");
	if (mysql_numrows($sql_IDES2)==0) echo "";
	else{
		$registro_IDES2=mysql_fetch_array($sql_IDES2);
	}
	if (mysql_numrows($sql_IDES2)>0)
	{
		$CodRD_IDES2=$registro_IDES2["Codigo_RD"];
	}
			
	///Fecha y Hora
	$Hora=time();
	$HoraOK=date("H:i:s",$Hora);
	$Fecha=date("Y/m/d");
			
	///Guarda el Documento de Recibo en la Interfaz			
	$sqlGR_BDGIA = "insert into interfaz_ajustes (Cve_Bodega,Cve_Cuenta,No_Pallet,Sku,Descripcion,CantidadOriginal,CantidadAjuste,CantidadResultante,CantidadAuxiliar,CantidadAuxiliarBruta,MotivoAjuste,Observaciones,Nota_1,Nota_2,CodigoRD_Ingreso,FechaRegistro,HoraRegistro,UsuarioRegistro,Check_Int)
	values('$CveBod_PRI1','$CveCta_PRI1','$NoPall_PRI1','$CodSku_PRI1','$Descri_PRI1','$CaOrig_PRI1','$CaAjus_PRI1','$CResul_PRI1','$PeNeto_PRI2','$PeBrut_PRI2','$Motivo_PRI1','$Observ_PRI1','$VNota1_PRI1','$VNota2_PRI1','$CodRD_IDES2','$VFecha_PRI1','$VaHora_PRI1','$Usuari_PRI1','753')";				
	$resultado_BDGIA=mysql_query($sqlGR_BDGIA,$con_BDGIA) or die(mysql_error());
		
	///Configuramos conexión a BD WMS
	$con_WMS= mysql_connect("localhost","USegAcce01","2n@hOu@qZfLs");
	///mysql_select_db("wms_arcosa", $con_WMS);
	mysql_select_db("wms_arcosa_tepo1", $con_WMS);
		
	///Limpiando Variables Operativas
	$CveBod_PRI1 = "";
	$CveCta_PRI1 = "";
	$NoPall_PRI1 = "";
	$CodSku_PRI1 = "";
	$Descri_PRI1 = "";
	$CaOrig_PRI1 = "";
	$CaAjus_PRI1 = "";
	$CResul_PRI1 = "";
	$Motivo_PRI1 = "";
	$Observ_PRI1 = "";
	$VNota1_PRI1 = "";
	$VNota2_PRI1 = "";
	$VFecha_PRI1 = "";
	$VaHora_PRI1 = "";
	$Usuari_PRI1 = "";
	$PeNeto_PRI2 = "";
	$PeBrut_PRI2 = "";
			
			
			
///********************* Inicia Proceso de Validación de Códigos RD y Cambio de Chec *********************///
					
///Configuramos conexión a BD Interfaces
	$con_BDGIA= mysql_connect("localhost","ArcosaTep1","Interf@ces_2018");
	mysql_select_db("wms_interfaces_gia_tep1", $con_BDGIA);					
					
	///Identificar los datos del Documento de Recibo
	   $sql_Vrd1 = mysql_query("SELECT COUNT( * ) As TotReg_Rd FROM `interfaz_ajustes` WHERE `No_Pallet`='$NoPallEn' AND `Cve_Cuenta`='$CveCtaEn' and `Check_Int`='753'");
	   if (mysql_numrows($sql_Vrd1)==0) echo "";
	   else{
	   $registro_Vrd1=mysql_fetch_array($sql_Vrd1);
	   }
	   if (mysql_numrows($sql_Vrd1)>0)
	   {
	   	$TotRegxAna_Vrd1=$registro_Vrd1["TotReg_Rd"];
	   }
	
	  ///Iniciando el Contador en 0
	  $ContAnalizadoRD = "0";
					
	  $sql_WVrd1=mysql_query("Select * from `interfaz_ajustes` WHERE `No_Pallet`='$NoPallEn' AND `Cve_Cuenta`='$CveCtaEn' AND `Check_Int`='753' Order By ID ASC");
	  while($res_WVrd1=mysql_fetch_array($sql_WVrd1))
	  {///Inicia While WVrd1<br />

		  $IdBdIn_WVrd1 = $res_WVrd1['Id'];
		  $CveCta_WVrd1 = $res_WVrd1['Cve_Cuenta'];
		  $CodSku_WVrd1 = $res_WVrd1['Sku'];
		  $CodRdI_WVrd1 = $res_WVrd1['CodigoRD_Ingreso'];
		  $UsuReg_WVrd1 = $res_WVrd1['UsuarioRegistro'];
		  
		  ///Configuramos conexión a BD WMS
			$con_WMS= mysql_connect("localhost","USegAcce01","2n@hOu@qZfLs");
		  	///mysql_select_db("wms_arcosa", $con_WMS);
		  	mysql_select_db("wms_arcosa_tepo1", $con_WMS);
		  
		  
		  		///Identificar el numero de Documento dentro del Inventario por medio del Pallet
		  		$sql_Vrd3 = mysql_query("SELECT NO_DOCUMENTO FROM `tabla_inventario` WHERE `SKU`='$CodSku_WVrd1' AND 	`NO_PALLET`='$NoPallEn' AND `CVE_CUENTA`='$CveCta_WVrd1'");
		  		if (mysql_numrows($sql_Vrd3)==0) echo "";
		  		else{
				$registro_Vrd3=mysql_fetch_array($sql_Vrd3);
				}
		  		if (mysql_numrows($sql_Vrd3)>0)
				{
					$NoDoRec_Vrd3=$registro_Vrd3["NO_DOCUMENTO"];
				}
		  
		  ///Configuramos conexión a BD Interfaces
			$con_BDGIA= mysql_connect("localhost","ArcosaTep1","Interf@ces_2018");
			mysql_select_db("wms_interfaces_gia_tep1", $con_BDGIA);	
		  
		  		///Identificar el Codigo RD en la Interfaz por medio del No de Documento de Recibo
		  		$sql_Vrd4 = mysql_query("SELECT Codigo_RD FROM `interfaz_conse_rd` WHERE `No_Documento`='$NoDoRec_Vrd3' Limit 0,1");
		  		if (mysql_numrows($sql_Vrd4)==0) echo "";
		  		else{
				$registro_Vrd4=mysql_fetch_array($sql_Vrd4);
				}
		  		if (mysql_numrows($sql_Vrd4)>0)
				{
					$CodRdAna_Vrd4=$registro_Vrd4["Codigo_RD"];
				}
		  
		  	 	///Detectar igualdad entre Codigos RD
		  		if ($CodRdAna_Vrd4 == $CodRdI_WVrd1)
				{
					$ContAnalizadoRD = $ContAnalizadoRD + 1;
				}
		  
		  ///Limpiando Variables
		  	///$IdBdIn_WVrd1 = "";
		  	///$CveCta_WVrd1 = "";
		  	///$CodSku_WVrd1 = "";
		  	///$CodRdI_WVrd1 = "";
		  	///$IdRaTa_WVrd1 = "";
		  	///UsuReg_WVrd1 = "";
		  	///$NoPall_Vrd2 = "";
			///$NoDoRec_Vrd3 = "";
			///$CodRdAna_Vrd4 = "";
		  
	  }///Termina While WVrd1
					
///Configuramos conexión a BD Interfaces
	$con_BDGIA= mysql_connect("localhost","ArcosaTep1","Interf@ces_2018");
	mysql_select_db("wms_interfaces_gia_tep1", $con_BDGIA);	
					
	///Identificar si el Barrido de RD cuadra al 100%, de ser asi, se cambiara el Chec a 0, para ser procesado por GIA
		if ($ContAnalizadoRD == $TotRegxAna_Vrd1)
		{
			///Update a Registros en Interfaz
			$sql_MCI1="Update interfaz_ajustes SET Check_Int='357' Where `No_Pallet`='$NoPallEn' AND `Cve_Cuenta`='$CveCtaEn' AND `Check_Int`='753' AND `Sku`='$CodSku_WVrd1' AND `Id`='$IdBdIn_WVrd1' AND `UsuarioRegistro`='$UsuReg_WVrd1'";
			$resultado_MCI1=mysql_query($sql_MCI1,$con_BDGIA) or die(mysql_error());
		}
					
					
///Configuramos conexión a BD WMS
	$con_WMS= mysql_connect("localhost","USegAcce01","2n@hOu@qZfLs");
	///mysql_select_db("wms_arcosa", $con_WMS);
	mysql_select_db("wms_arcosa_tepo1", $con_WMS);
					
					
			
///********************* Termina Proceso de Validación de Códigos RD y Cambio de Chec *********************///			
			
///------------------------------------------------------------------------------------------------------------------					
///							TERMINA PROCESO ESPECIAL ARCOSA - COMUNICACION VIA INTERFAZ
///(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)///	
						
echo "<script>alert('Ajuste Reinterfazado Correctamente.');</script>";
echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=10-Ajustes_Interfazados.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
?>
</div>
<Br><Br><Br>
	
<!-- Termina Cuerpo de la Interfaz Gráfica -->

<?PHP


} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>